package com.ruoyi.project.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.project.domain.TrsArticleInfo;
import org.apache.ibatis.annotations.Mapper;

/**
 * 稿件Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-20
 */
@Mapper
public interface TrsArticleInfoMapper
{
    /**
     * 查询稿件
     * 
     * @param id 稿件主键
     * @return 稿件
     */
    public TrsArticleInfo selectTrsArticleInfoById(Long id);

    /**
     * 查询稿件列表
     * 
     * @param trsArticleInfo 稿件
     * @return 稿件集合
     */
    public List<TrsArticleInfo> selectTrsArticleInfoList(TrsArticleInfo trsArticleInfo);
    public long selectTrsArticleInfoMaxVersion();

    public List<String> selectTrsArticleInfoUrlList(Long record);

    /**
     * 新增稿件
     * 
     * @param trsArticleInfo 稿件
     * @return 结果
     */
    public int insertTrsArticleInfo(TrsArticleInfo trsArticleInfo);

    /**
     * 修改稿件
     * 
     * @param trsArticleInfo 稿件
     * @return 结果
     */
    public int updateTrsArticleInfo(TrsArticleInfo trsArticleInfo);

    /**
     * 删除稿件
     * 
     * @param id 稿件主键
     * @return 结果
     */
    public int deleteTrsArticleInfoById(Long id);

    /**
     * 批量删除稿件
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsArticleInfoByIds(String[] ids);

    List<Map<String, Object>> selectTrsArticleInfoReviewList();
    List<Map<String, Object>> selectTrsArticleInfoReviewList2();

    List<TrsArticleInfo> selectTrsArticleInfoUpdateList(TrsArticleInfo trsArticleInfo);

    List<TrsArticleInfo> selectTrsArticleInfoFuheList(TrsArticleInfo trsArticleInfo);
}
